org.apache.struts2.osgi.host

## Class FelixOsgiHost

- java.lang.Object
- - org.apache.struts2.osgi.host.BaseOsgiHost
  - - org.apache.struts2.osgi.host.FelixOsgiHost

- All Implemented Interfaces:
    OsgiHost

      public class FelixOsgiHost
      extends BaseOsgiHost

  Apache felix implementation of an OsgiHost See http://felix.apache.org/site/apache-felix-framework-launching-and-embedding.html
  Servlet config params:

  struts.osgi.clearBundleCache: Defaults to "true" delete installed bundles when the comntainer starts

  struts.osgi.logLevel: Defaults to "1". Felix log level. 1 = error, 2 = warning, 3 = information, and 4 = debug

  struts.osgi.runLevel: Defaults to "3". Run level to start the container.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.felix.framework.Felix` | `felix`

    - ### Fields inherited from class org.apache.struts2.osgi.host.BaseOsgiHost

      `servletContext, versionPattern`

    - ### Fields inherited from interface org.apache.struts2.osgi.host.OsgiHost

      `OSGI_BUNDLE_CONTEXT, OSGI_HEADER_STRUTS_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FelixOsgiHost()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addSpringOSGiSupport()`
    `void` | `destroy()`
    `Map<String,org.osgi.framework.Bundle>` | `getActiveBundles()`
    `org.osgi.framework.BundleContext` | `getBundleContext()`
    `Map<String,org.osgi.framework.Bundle>` | `getBundles()` This bundle map will not change, but the status of the bundles can change over time.
    `void` | `init(javax.servlet.ServletContext servletContext)`
    `protected void` | `startFelix()`

    - ### Methods inherited from class org.apache.struts2.osgi.host.BaseOsgiHost

      `addAutoStartBundles, addExportedPackages, getBundlesInDir, getJarUrl, getProperties, getRunLevelDirs, getServletContextParam, getVersion, getVersionFromString, replaceSystemPackages`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### felix

          protected org.apache.felix.framework.Felix felix

  - ### Constructor Detail

    - #### FelixOsgiHost

          public FelixOsgiHost()

  - ### Method Detail

    - #### startFelix

          protected void startFelix()

    - #### init

          public void init(javax.servlet.ServletContext servletContext)

      Specified by:
        `init` in interface `OsgiHost`
      Specified by:
        `init` in class `BaseOsgiHost`

    - #### getBundles

          public Map<String,org.osgi.framework.Bundle> getBundles()

      Description copied from class: `BaseOsgiHost`
      This bundle map will not change, but the status of the bundles can change over time. Use getActiveBundles() for active bundles
      Specified by:
        `getBundles` in interface `OsgiHost`
      Specified by:
        `getBundles` in class `BaseOsgiHost`
      Returns:
        map with bundles

    - #### getActiveBundles

          public Map<String,org.osgi.framework.Bundle> getActiveBundles()

      Specified by:
        `getActiveBundles` in interface `OsgiHost`
      Specified by:
        `getActiveBundles` in class `BaseOsgiHost`

    - #### getBundleContext

          public org.osgi.framework.BundleContext getBundleContext()

      Specified by:
        `getBundleContext` in interface `OsgiHost`
      Specified by:
        `getBundleContext` in class `BaseOsgiHost`

    - #### destroy

          public void destroy()
                       throws Exception

      Specified by:
        `destroy` in interface `OsgiHost`
      Specified by:
        `destroy` in class `BaseOsgiHost`
      Throws:
        `Exception`

    - #### addSpringOSGiSupport

          protected void addSpringOSGiSupport()

      Specified by:
        `addSpringOSGiSupport` in class `BaseOsgiHost`

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.